package com.spring.series.aop.advice;

import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;

@Aspect
public class AfterReturningAdviceAnnotation {

	// execution(returnType qualified.package.name.classname.methodname(arguments))

	@AfterReturning("execution(* com.spring.series.aop.service.*.get*(..))")
	public void afterReturningUsingAnnotation() {
		System.out.println("******** After Returning Advice using Annotation ********");
	}
}